xprt_adjust_cwnd
Prev | SUN RPC subsystem | Next

## Name

xprt_adjust_cwnd — adjust transport congestion window

## Synopsis

`void xprt_adjust_cwnd (` | struct rpc_task * | task,
| int | result`)`;

## Arguments

`task`

  recently completed RPC request used to adjust window

`result`

  result code of completed RPC request

## Description

We use a time-smoothed congestion estimator to avoid heavy oscillation.

Prev | Up | Next
xprt_release_rqst_cong | Home | xprt_wake_pending_tasks